XCode 5 does not compile plugins. XCode 4 does



  • On 03/10/2013 at 09:46, xxxxxxxx wrote:

    User Information:
    Cinema 4D Version:   14 
    Platform:      Mac OSX  ; 
    Language(s) :     C++  ;

    ---------
    Has anybody upgraded to XCODE 5 and compiled XCODE 4 - compilable plugins?

    I spent a few hours trying to do that and had to revert back to XCODE 4.

    Thanks.

    --8



  • On 04/10/2013 at 03:40, xxxxxxxx wrote:

    Originally posted by xxxxxxxx

    <ADDRESS>
    User Information:
    Cinema 4D Version:   14 
    Platform:     
    Mac OSX  ; 
    Language(s) :    
    C++  ;

    ---------
    </ADDRESS> Has anybody upgraded to XCODE 5 and compiled XCODE 4 - compilable plugins?
    I spent a few hours trying to do that and had to revert back to XCODE 4.
    Thanks.
    --8

    With the reworked build system in Xcode 5 Apple has broken a part of the build folder handling. We plan to issue an workaround for our SDK projects with the next update (which will allow you to compile it with Xcode 4.x and 5.x).

    Until then please stay at Xcode 4.x

    Best regards,

    Wilfried Behne



  • On 18/11/2013 at 21:10, xxxxxxxx wrote:

    Any news about fixing the R14 SDK for xcode 5? A simple "no, it won't happen" would in fact be helpful too.

    Z



  • On 19/11/2013 at 00:03, xxxxxxxx wrote:

    Originally posted by xxxxxxxx

    Any news about fixing the R14 SDK for xcode 5? A simple "no, it won't happen" would in fact be helpful too.

    Z

    For R15 this will happen, for R14 or older it won't.

    Best regards,

    Wilfried


Log in to reply